# MotorConfigDouble
declaration: package: swervelib.parser.json, class: MotorConfigDouble

Package swervelib.parser.json

# Class MotorConfigDouble

java.lang.Object
swervelib.parser.json.MotorConfigDouble

public class MotorConfigDouble extends Object
Used to store doubles for motor configuration.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`angle`
Angle motor.
`double`
`drive`
Drive motor.

## Constructor Summary

Constructors
Constructor
Description
`MotorConfigDouble()`
Default constructor.
`MotorConfigDouble(double angle, double drive)`
Default constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### drive

public double drive
Drive motor.

### angle

public double angle
Angle motor.

## Constructor Details

### MotorConfigDouble

public MotorConfigDouble()
Default constructor.

### MotorConfigDouble

public MotorConfigDouble(double angle, double drive)
Default constructor.

Parameters:
  `angle` - Angle data.
  `drive` - Drive data.